import 'package:flutter/material.dart';

class RaiseOnHover extends StatefulWidget {

  final Widget Function(bool isHovered) builder;

  const RaiseOnHover({Key? key, required this.builder}) : super(key: key);

  @override
  _RaiseOnHoverState createState() => _RaiseOnHoverState();
}

class _RaiseOnHoverState extends State<RaiseOnHover> {

  bool isHovered = false;
  @override
  Widget build(BuildContext context) {

    final hovered = Matrix4.identity()..translate(0,-3,0);
    final transform = isHovered ? hovered : Matrix4.identity();

    return MouseRegion(
      onEnter: (_)=> onEntered(true),
      onExit: (_)=> onEntered(false),
      child: AnimatedContainer(
        duration: const Duration(milliseconds: 150),
        transform: transform,
        child: widget.builder(isHovered),
      ),
    );
  }

  void onEntered(bool isHovered){
    setState(() {
      this.isHovered = isHovered;
    });
  }
}